%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define	name	cel
%define	version	1.4
%define	svnver	svn3667

%define	release	%mkrel 0.%svnver.1

Summary:	Crystal Entity Layer
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	LGPL
Source0:	%{name}-%{svnver}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.sourceforge.net/projects/cel/
BuildRequires:	ftjam crystalspace-devel >= 1.4 python-devel cppunit-devel swig >= 1.3.22

%description
Crystal Entity Layer (CEL) is a game entity layer based on Crystal Space.
It makes it easier for game developers to create games based on Crystal Space.
CEL can optionally be used together with Python or other scripting languages.

%package	devel
Group:		Development/C
Summary:	Development headers and libraries for %{name}
Requires:	%{name} = %{version}

%description	devel
Development headers and libraries for %{name}

%package	doc
Summary:	Cel documentation
Group:		Development/C
License:	LGPL
Requires:	%{name} = %{version}
Conflicts:      freetds-devel

%description	doc
Cel documentation


%package	demos
Summary:	Cel Demos
Group:		Development/C
License:	LGPL
Requires:	%{name} = %{version}

%description	demos
Cel demos.


%prep
%setup -q -n %{name}
rm -rf `find -type d -name .svn`

%build
./autogen.sh
perl -pi -e "s#cspycommon##g" configure
%configure
jam -d2 %_smp_mflags

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT jam -d2 install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README docs/todo.txt docs/history.txt
%dir %{_sysconfdir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}
%config(noreplace) %{_sysconfdir}/%{name}-%{version}/*.cfg
%defattr(755,root,root,755)
%{_bindir}/bootstrap
%{_bindir}/bootstrap-%{version}
%{_bindir}/celstart
%{_bindir}/celstart-%{version}
%{_bindir}/%{name}tst
%{_bindir}/%{name}tst-%{version}
%dir %{_libdir}/%{name}-%{version}
%{_libdir}/%{name}-%{version}/*.so
%{_libdir}/libceltool-%{version}.so
%{py_platsitedir}/blcelc.pth

%files devel
%defattr(755,root,root,755)
%{_bindir}/%{name}-config*
%{_bindir}/*.dbg
%defattr(644,root,root,755)
%dir %{_includedir}/%{name}-%{version}
%{_includedir}/%{name}-%{version}/*
%{_libdir}/%{name}-%{version}/*.dbg
%{_libdir}/libceltool-%{version}.dbg

%files doc
%defattr(-,root,root,755)
%doc %{_docdir}/%{name}-%{version}

%files demos
%{_bindir}/evolvecraft*
%{_bindir}/nettest*
%{_bindir}/hovertest*
%{_bindir}/walktut*
%{_bindir}/wheeledtest*
%{_bindir}/graph*
%{_bindir}/steering*

%changelog
* Sat Aug 30 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 1.4-0.svn3667.1pclos2007
- svn 3667

* Mon Jul 01 2008 rifter <rifter4444@gmail.com> 1.4-1,svn3499.1
- update to latest version recommended for building planescape.

* Tue Nov 07 2007 Torbjorn Turpeinen <tobbe@djura.org> 1.2-0.svn3019.1
- Upgrade to latest recomended version

* Mon Apr 30 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.99-0.svn2591.1
- Upgrade to latest recomended version

* Wed Jan 03 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.99-0.svn2369.1
- Upgrade to latest recomended version
- initial build for pclinuxos 2007

* Fri Aug 11 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.99-0.20060808.2
- Rebuild aginst crystalspace-devel with ode support

* Tue Aug 08 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.99-0.20060808.1
- 20060808

* Tue Aug 08 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.99-0.20060127.1
- Rebuild for mde
- 20060127

* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99-0.20050309.2mdk
- gah, headers went in the wrong place

* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99-0.20050309.1mdk
- new cvs snapshot
- fix buildrequires
- drop P0

* Thu Jan 08 2004 Per �vind Karlsen <peroyvind@linux-mandrake.com> 0.96r002-0.cvs20040103.2mdk
- fix compile of dynmove plugin (P0)

* Sat Jan 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.96r002-0.cvs20040103.1mdk
- new cvs snapshot
- fix buildrequires (lib64..)
- fix second %%install error
- use %%configure macro
- skip compilation of dynmove plugin, it won't compile:\
- fix install variables

* Thu May 08 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.96r002-0.cvs20030508.2mdk
- fix path in cel-config script
- reduce verbosity while building

* Thu May 08 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.96r002-0.cvs20030508.1mdk
- initial mdk release
